#
# spec file for package librecad
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		librecad
Summary:	Computer-aided design (CAD) software package for 2D design and drafting
Version:	1.0.0.rc3
Release:	0
URL:		http://librecad.org/
License:	GPL-2.0
Group:		Productivity/Graphics/CAD

#Git-Clone:	git://github.com/LibreCAD/LibreCAD
Source:		%name-1.0.0~rc3-gac2797b.tar.xz
Source2:	%name-rpmlintrc
Patch1:		librecad-dxflib25.diff
Patch2:		librecad-use-fparser.diff
Patch3:		librecad-no-date.diff
BuildRoot:	%_tmppath/%name-%version-build
BuildRequires:	dxflib-devel, fparser-devel, libqt4-devel, xz

%description

%prep
%setup -qn LibreCAD
%patch -P 1 -P 2 -P 3 -p1

%build
qmake QMAKE_CFLAGS+="%optflags" QMAKE_CXXFLAGS+="%optflags";
make %{?_smp_mflags};

%install
b="%buildroot";
mkdir -p "$b/%_bindir";
install -pm0755 unix/librecad "$b/%_bindir/";

%files
%defattr(-,root,root)
%_bindir/librecad
